Summary:	The GNU macro processor
Summary(de):	Der GNU Makro Prozessor
Name:		m4
Version:	1.4.18
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/Other
URL:		http://www.gnu.org/software/m4/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	libsigsegv-devel
Requires(post): info-install
Requires(preun): info-install
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 		%{name} < %version


%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

m4 is most likely needed if you want to compile or develop software.

%description -l de
Eine Implementierung des traditionellen UNIX Makroprozessors. 
M4 ist weitestgehend zu SVR4 kompatibel, hat jedoch einige Erweiterungen 
z.B. kann es mehr als 9 Positionsparameter in Makros verarbeiten. M4 hat 
außerdem eingebaute Funktionen für das Inkludieren von Dateien für den Aufruf 
von Shellbefehlen, für arithmetische Operationen usw. 

Autoconf benötigt GNU m4 für die Generierung von configure Skripten, 
jedoch nicht um diese ablaufen zu lassen. 

%prep

%setup -q

%build
export gl_cv_func_strtod_works=no 
%configure2_5x
%make

%check
%define Werror_cflags %nil
make check CFLAGS="%optflags"

%install
rm -rf %{buildroot}

%makeinstall_std infodir=%{_datadir}/info

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README BACKLOG THANKS ChangeLog
%{_bindir}/%{name}
%{_infodir}/*
%{_mandir}/man1*/*


%changelog
* Thu Feb 16 2017 adrianomorselli <adrianomorselli> 1.4.18-1uplos2017
- update
- removed old stuff
